## START: Set by rpmautospec
## (rpmautospec version 0.7.3)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 6;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

%global forgeurl https://github.com/influxdata/influxdb-client-python

Name:           python-influxdb-client
Version:        1.48.0
%forgemeta
Release:        %autorelease
Summary:        Python client library for the InfluxDB 2.0 and 1.8+

License:        MIT
URL:            %{forgeurl}
Source:         %{forgesource}

BuildArch:      noarch
BuildRequires:  python3-devel

%global _description\
Use this client library with InfluxDB 2.x and InfluxDB 1.8+. For connecting\
to InfluxDB 1.7 or earlier instances, use the python-influxdb package.\

%description   %_description


# Add ciso extra below and below that if python3-ciso8601
# https://bugzilla.redhat.com/show_bug.cgi?id=2356975
%pyproject_extras_subpkg -n python3-influxdb-client async extra


%package -n python3-influxdb-client
Summary:       %{summary}

%description -n python3-influxdb-client %_description


%prep
%forgesetup

# python-aiocsv currently not in Fedora.
# Add to fedora once tests are working
# https://github.com/MKuranowski/aiocsv/issues/33
sed -i "s/'aiocsv[>=]=.*//" setup.py

# Relax some versioning
sed -i "s/'aiohttp[>=]=.*'/'aiohttp'/" setup.py
sed -i "s/'ciso8601[>=]=.*'/'ciso8601'/" setup.py
sed -i "s/'reactivex\s*[>=]=\s*.*'/'reactivex'/" setup.py

%generate_buildrequires
%pyproject_buildrequires -x async -x extra


%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files influxdb_client


%check
# All tests require an influxdb running on the localhost to connect to.
%pyproject_check_import


%files -n python3-influxdb-client -f %{pyproject_files}
%doc README.md CHANGELOG.md


%changelog
## START: Generated by rpmautospec
* Wed Apr 02 2025 Steve Traylen <steve.traylen@cern.ch> - 1.48.0-6
- disable ciso extra on epel10

* Sat Feb 08 2025 Steve Traylen <steve.traylen@cern.ch> - 1.48.0-4
- Create sub packages for ciso, async and extra
- Stop running non-existent tox testing
- Relax some strong versionion of dependencies

* Sat Jan 18 2025 Fedora Release Engineering <releng@fedoraproject.org> - 1.48.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_42_Mass_Rebuild

* Mon Dec 09 2024 Federico Pellegrin <fede@evolware.org> - 1.48.0-1
- Bump to 1.48.0

* Wed Sep 04 2024 Federico Pellegrin <fede@evolware.org> - 1.45.0-1
- Bump to 1.45.0

* Fri Jul 19 2024 Fedora Release Engineering <releng@fedoraproject.org> - 1.36.1-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Fri Jun 07 2024 Python Maint <python-maint@redhat.com> - 1.36.1-6
- Rebuilt for Python 3.13

* Fri Jan 26 2024 Fedora Release Engineering <releng@fedoraproject.org> - 1.36.1-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Mon Jan 22 2024 Fedora Release Engineering <releng@fedoraproject.org> - 1.36.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Fri Jul 21 2023 Fedora Release Engineering <releng@fedoraproject.org> - 1.36.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Thu Jun 15 2023 Python Maint <python-maint@redhat.com> - 1.36.1-2
- Rebuilt for Python 3.12

* Sat Mar 25 2023 Steve Traylen <steve.traylen@cern.ch> - 1.36.1-1
- First Fedora Package #2117384
## END: Generated by rpmautospec
